Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface Clock

All Superinterfaces:
  IdentifiedObject, ReferenceSystem, TemporalReferenceSystem

    @UML(identifier="TM_Clock",
         specification=ISO_19108)
    public interface Clock

extends TemporalReferenceSystem

Provides a basis for defining temporal position within a day.

TODO:
  Retrofit in the referencing framework.

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`ClockTime` | `clkTrans(ClockTime clkTime)` Converts UTC time to a time on this clock.
`InternationalString` | `getReferenceEvent()` Event used as the datum for this clock.
`ClockTime` | `getReferenceTime()` Time of the reference Event for this clock, usually the origin of the clock scale.
`ClockTime` | `getUTCReference()` Provides the 24-hour local or UTC time that corresponds to the reference time.
`ClockTime` | `utcTrans(ClockTime uTime)` Converts UTC time to a time on this clock.

Methods inherited from interface TemporalReferenceSystem
`getDomainOfValidity, getName`

Methods inherited from interface ReferenceSystem
`getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getRemarks, toWKT`

Method Detail

### getReferenceEvent

    @UML(identifier="referenceEvent",
         obligation=MANDATORY,
         specification=ISO_19108)
    InternationalString getReferenceEvent()

  Event used as the datum for this clock.

### getReferenceTime

    @UML(identifier="ReferenceTime",
         obligation=MANDATORY,
         specification=ISO_19108)
    ClockTime getReferenceTime()

  Time of the reference Event for this clock, usually the origin of the clock scale.

### getUTCReference

    @UML(identifier="utcReference",
         obligation=MANDATORY,
         specification=ISO_19108)
    ClockTime getUTCReference()

  Provides the 24-hour local or UTC time that corresponds to the reference time.

### clkTrans

    @UML(identifier="clkTrans",
         obligation=MANDATORY,
         specification=ISO_19108)
    ClockTime clkTrans(ClockTime clkTime)

  Converts UTC time to a time on this clock.

### utcTrans

    @UML(identifier="utcTrans",
         obligation=MANDATORY,
         specification=ISO_19108)
    ClockTime utcTrans(ClockTime uTime)

  Converts UTC time to a time on this clock.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.